Subject: Re: bash and ~
From: [email-masked] (James Dumser)

24 Feb 1998 15:43:35 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Daniel Karipides <[email-masked]>
Cc: [email-masked]

On Mon, 23 Feb 1998 10:46:06 -0500, Daniel Karipides 
  <[email-masked]> wrote:
> I have defined the enivornment variable $HOME to:
>   D:\Users\smith
> I need it defined this way so that emacs (among other programs) works
> correctly when not started from bash.  However, in bash I noticed the
> following:
>   bash$ echo $HOME
>   D:\Users\smith        <--seems to work
>   bash$ cd ~
>   bash.exe: D:Userssmith: No such file or directory

I send someone info on this recently -- don't remember if it was you or
not, Daniel -- but apparently it justifies a reply to the list.

It's important to remember that ~ != $HOME in that they are not the same
variable. ~ is set *ONLY* when bash is started. $HOME can be changed at
any time. So, to accomplish what you want:

  autoexec.bat / environment setup:
    set HOME=d:\users\smith

  startbash.cmd (or .bat):
    @echo off
    set HOME=d:/users/smith
    bash

  .bashrc / .profile:
    set HOME=d:\\users\\smith (or 'd:\users\smith')

The idea is to "fix" $HOME just prior to starting bash so ~ is set
correctly and then setting it back so that emacs will work.

-- 
James Dumser    972.462.5335    [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".